function [besselDerivative] = spherBesselder(n,t)
%% derivative of the spherical Bessel function
% returns the value of the derivative of the spherical Bessel function of 
% order n evaluated in t
% 
%  INPUT:   n - oder
%           t - argument

besselDerivative = 1./(2.*n+1) .* (n.*spherBessel(n-1,t) - (n+1).*spherBessel(n+1,t));
end